Jump to content


Photo

Build fails,need help

openpli 6.2 homebuild

  • Please log in to reply
2 replies to this topic

#1 satbeeper

  • Member
  • 8 posts

0
Neutral

Posted 28 July 2018 - 02:25

Hi,started to build 6.2 homebuild image on ubuntu 18.04.

 here is what i did

Code:
sudo apt-get install -y autoconf automake bison bzip2 chrpath coreutils cvs default-jre default-jre-headless diffstat flex g++ gawk gcc gettext git-core gzip help2man htop info java-common libc6-dev libglib2.0-dev libperl4-corelibs-perl libproc-processtable-perl libtool libxml2-utils make ncdu ncurses-bin ncurses-dev patch perl pkg-config po4a python-setuptools quilt sgmltools-lite sshpass subversion swig tar texi2html texinfo wget xsltproc zip zlib1g-dev

mkdir openpli

 

cd openpli

git clone https://github.com/OpenPLi/openpli-oe-core -b release-6.2

cd openpli-oe-core;make

 

cd build

 

source env.source

 

MACHINE=vusolose bitbake openpli-enigma2-image

 

and got error:

ubuntu@ubuntu-VirtualBox:~/openpli/openpli-oe-core/build$  MACHINE=vusolose bitbake openpli-enigma2-image
NOTE: Your conf/bblayers.conf has been automatically updated.
NOTE: Your conf/bblayers.conf has been automatically updated.
WARNING: /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb: Exception during build_dependencies for S
WARNING: /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb: Error during finalise of /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb
ERROR: ExpansionError during parsing /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb
Traceback (most recent call last):
bb.data_smart.ExpansionError: Failure expanding variable SRCPV, expression was ${@bb.fetch2.get_srcrev(d)} which triggered exception FetchError: Fetcher failure: Unable to resolve '${BRANCH}' in upstream git repository in git ls-remote output for github.com/OpenPLi/enigma2.git


Summary: There were 2 WARNING messages shown.
Summary: There was 1 ERROR message shown, returning a non-zero exit code.

what i did wrong? never had issue like this before

thank you



Re: Build fails,need help #2 satbeeper

  • Member
  • 8 posts

0
Neutral

Posted 28 July 2018 - 19:44

Hi,started to build 6.2 homebuild image on ubuntu 18.04.

 here is what i did

Code:
sudo apt-get install -y autoconf automake bison bzip2 chrpath coreutils cvs default-jre default-jre-headless diffstat flex g++ gawk gcc gettext git-core gzip help2man htop info java-common libc6-dev libglib2.0-dev libperl4-corelibs-perl libproc-processtable-perl libtool libxml2-utils make ncdu ncurses-bin ncurses-dev patch perl pkg-config po4a python-setuptools quilt sgmltools-lite sshpass subversion swig tar texi2html texinfo wget xsltproc zip zlib1g-dev

mkdir openpli

 

cd openpli

git clone https://github.com/OpenPLi/openpli-oe-core -b release-6.2

cd openpli-oe-core;make

 

cd build

 

source env.source

 

MACHINE=vusolose bitbake openpli-enigma2-image

 

and got error:

ubuntu@ubuntu-VirtualBox:~/openpli/openpli-oe-core/build$  MACHINE=vusolose bitbake openpli-enigma2-image
NOTE: Your conf/bblayers.conf has been automatically updated.
NOTE: Your conf/bblayers.conf has been automatically updated.
WARNING: /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb: Exception during build_dependencies for S
WARNING: /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb: Error during finalise of /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb
ERROR: ExpansionError during parsing /home/ubuntu/openpli/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb
Traceback (most recent call last):
bb.data_smart.ExpansionError: Failure expanding variable SRCPV, expression was ${@bb.fetch2.get_srcrev(d)} which triggered exception FetchError: Fetcher failure: Unable to resolve '${BRANCH}' in upstream git repository in git ls-remote output for github.com/OpenPLi/enigma2.git


Summary: There were 2 WARNING messages shown.
Summary: There was 1 ERROR message shown, returning a non-zero exit code.

what i did wrong? never had issue like this before

thank you

 

My build filed with error - ERROR: ExpansionError during parsing /home/ubuntu/openpli6.2/openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb

right after build beginning.

 

 

Dont know if this helps someone,but i got solution.

opened openpli-oe-core/meta-openpli/recipes-openpli/enigma2/enigma2.bb

and removed line 171 col1  ENIGMA2_BRANCH ?= "${BRANCH}"

and it started building fine after that.


Edited by satbeeper, 28 July 2018 - 19:49.


Re: Build fails,need help #3 bihsound

  • Member
  • 8 posts

0
Neutral

Posted 15 August 2018 - 19:48

Thank you so much for the solution. I had the same problem, and this definitely helps.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users